Loading...
Searching...
No Matches
pcl::gpu::people::PersonAttribs Class Reference

`#include </build/pcl-k79KrG/pcl-1.15.1+dfsg/gpu/people/include/pcl/gpu/people/person_attribs.h>`

## Public Types

using | Ptr = shared_ptr<PersonAttribs>
using | ConstPtr = shared_ptr<const PersonAttribs>

## Public Member Functions

| PersonAttribs ()
| Constructor creates generic values from.
int | readPersonXMLConfig (std::istream &is)
| Read XML configuration file for a specific person.
void | writePersonXMLConfig (std::ostream &os)
| Write XML configuration file for a specific person.

## Public Attributes

std::string | name_
std::vector< float > | max_part_size_
std::vector< std::vector< float > > | part_ideal_length_
std::vector< std::vector< float > > | max_length_offset_
std::vector< int > | nr_of_children_

## Detailed Description

Definition at line 16 of file person_attribs.h.

## Member Typedef Documentation

## ConstPtr

using pcl::gpu::people::PersonAttribs::ConstPtr = shared_ptr<const PersonAttribs>

Definition at line 20 of file person_attribs.h.

## Ptr

using pcl::gpu::people::PersonAttribs::Ptr = shared_ptr<PersonAttribs>

Definition at line 19 of file person_attribs.h.

## Constructor & Destructor Documentation

## PersonAttribs()

pcl::gpu::people::PersonAttribs::PersonAttribs | ( |  | ) |

Constructor creates generic values from.

## Member Function Documentation

## readPersonXMLConfig()

int pcl::gpu::people::PersonAttribs::readPersonXMLConfig | ( | std::istream & | is | ) |

Read XML configuration file for a specific person.

Parameters

  [in] | is | input stream of file

Returns
  0 when successful, -1 when an error occurred, datastructure might become corrupted in the process

## writePersonXMLConfig()

void pcl::gpu::people::PersonAttribs::writePersonXMLConfig | ( | std::ostream & | os | ) |

Write XML configuration file for a specific person.

Parameters

  [in] | os | output stream of file, extension determines format

## Member Data Documentation

## max_length_offset_

std::vector<std::vector<float> > pcl::gpu::people::PersonAttribs::max_length_offset_

Definition at line 43 of file person_attribs.h.

## max_part_size_

std::vector<float> pcl::gpu::people::PersonAttribs::max_part_size_

Definition at line 41 of file person_attribs.h.

## name_

std::string pcl::gpu::people::PersonAttribs::name_

Definition at line 40 of file person_attribs.h.

## nr_of_children_

std::vector<int> pcl::gpu::people::PersonAttribs::nr_of_children_

Definition at line 44 of file person_attribs.h.

## part_ideal_length_

std::vector<std::vector<float> > pcl::gpu::people::PersonAttribs::part_ideal_length_

Definition at line 42 of file person_attribs.h.

The documentation for this class was generated from the following file:

- /build/pcl-k79KrG/pcl-1.15.1+dfsg/gpu/people/include/pcl/gpu/people/person_attribs.h